Skip to content
Fetching contributors…
Cannot retrieve contributors at this time
29 lines (22 sloc) 741 Bytes

Quora clone write in Ruby on Rails.

Requirements

  • Linux or Mac OS X (Don’t try it on Windows, and send me error messages to me!)
  • Ruby 1.9.2
  • MongoDB 1.8
  • Redis 2.2.2
  • Node.js 0.4.5
  • Coreseek 4.0.1 (In English content, you can use Sphinx 1.10)

Installation

git clone git://github.com/huacnlee/quora.git
sudo apt-get install mongodb
sudo apt-get install redis-server
cd quora
bundle install --path vendor/bundle
cp config/mongoid.yml.default config/mongoid.yml
cp config/setting.yml.default config/setting.yml
cp config/redis.yml.default config/redis.yml
cp config/zomet.yml.default config/zomet.yml
script/rails s -e development_mongohq

Then, open your browser, points to localhost:3000
That is it, enjoy yourself.

Something went wrong with that request. Please try again.